curl --request GET \
--url https://api.fintoc.com/v2/payment_intents/{id}/voucher_url \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v2/payment_intents/{id}/voucher_url"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v2/payment_intents/{id}/voucher_url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v2/payment_intents/{id}/voucher_url",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v2/payment_intents/{id}/voucher_url"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v2/payment_intents/{id}/voucher_url")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v2/payment_intents/{id}/voucher_url")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"url": "https://storage.fintoc.com/vouchers/pi_BO381oEATXonG6bj_bank_voucher.pdf"
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API Key: invalid-*oken"
}
}{
"error": {
"type": "invalid_request_error",
"code": "missing_resource",
"param": "id",
"message": "No such payment_intent: pi_nonexistent",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}Get a voucher URL
Returns a URL to download the transfer voucher of the payment intent in PDF format. The payment intent must belong to your organization and match the mode (live or test) of the API key used. The URL expires 5 minutes after the request. url is null when the payment intent does not have a voucher, for example when the payment has not succeeded. Available for organizations on API version 2026-02-01 or later.
curl --request GET \
--url https://api.fintoc.com/v2/payment_intents/{id}/voucher_url \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v2/payment_intents/{id}/voucher_url"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v2/payment_intents/{id}/voucher_url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v2/payment_intents/{id}/voucher_url",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v2/payment_intents/{id}/voucher_url"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v2/payment_intents/{id}/voucher_url")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v2/payment_intents/{id}/voucher_url")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"url": "https://storage.fintoc.com/vouchers/pi_BO381oEATXonG6bj_bank_voucher.pdf"
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API Key: invalid-*oken"
}
}{
"error": {
"type": "invalid_request_error",
"code": "missing_resource",
"param": "id",
"message": "No such payment_intent: pi_nonexistent",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}Authorizations
Path Parameters
The id of the payment intent that holds the voucher to retrieve.
Response
Presigned URL of the voucher. url is null when the payment intent does not have a voucher.
Presigned URL to download the transfer voucher in PDF format. The URL expires 5 minutes after the request. null when the payment intent does not have a voucher.
"https://storage.fintoc.com/vouchers/pi_BO381oEATXonG6bj_bank_voucher.pdf"
Was this page helpful?